$('div a.hide').live( "click", function(){
  $(this).parent().next().hide();
  $(this).replaceWith("<a href='#' class='show'><%= t(:show) %></a>");
});
$('div a.show').live( "click", function(){
  $(this).parent().next().show();
  $(this).replaceWith("<a href='#' class='hide'><%= t(:hide) %></a>");
});